Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class SecureRandom

    java.lang.Object
      |
      +--java.util.Random
            |
            +--java.security.SecureRandom

public synchronized class SecureRandom
extends java.util.Random

See Also:
  Serialized Form

Constructor Summary
`` | `SecureRandom()`
`` | `SecureRandom(byte[])`
`protected` | `SecureRandom(SecureRandomSpi, Provider)`

Method Summary
`byte[]` | `generateSeed(int)`
`static SecureRandom` | `getInstance(String)`
`static SecureRandom` | `getInstance(String, String)`
`Provider` | `getProvider()`
`static byte[]` | `getSeed(int)`
`protected int` | `next(int)`
`void` | `nextBytes(byte[])`
`void` | `setSeed(byte[])`
`void` | `setSeed(long)`

Methods inherited from class java.util.Random
`nextBoolean, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureRandom

    public SecureRandom()

### SecureRandom

    protected SecureRandom(SecureRandomSpi,
                           Provider)

### SecureRandom

    public SecureRandom(byte[])

Method Detail

### generateSeed

    public byte[] generateSeed(int)

### getInstance

    public static SecureRandom getInstance(String)
                                    throws NoSuchAlgorithmException

### getInstance

    public static SecureRandom getInstance(String,
                                           String)
                                    throws NoSuchAlgorithmException,
                                           NoSuchProviderException

### getProvider

    public final Provider getProvider()

### getSeed

    public static byte[] getSeed(int)

### next

    protected final int next(int)

  Overrides:
    next in class java.util.Random

### nextBytes

    public void nextBytes(byte[])

  Overrides:
    nextBytes in class java.util.Random

### setSeed

    public void setSeed(long)

  Overrides:
    setSeed in class java.util.Random

### setSeed

    public void setSeed(byte[])

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.